@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;500;700&family=Lato:wght@400;700&family=Overpass:wght@400;700&display=swap");
* {
  padding: 0;
  margin: 0;
}
body {
  font-family: Lato;
  background-color: rgb(248, 231, 211);
}
nav {
  display: flex;
  justify-content: space-around;
  align-items: center;
  border-bottom: 2px solid rgb(196, 191, 191);
}
.nav-icons {
  color: rgb(100, 97, 97);
  display: inline-flex;
  padding: 0 10px;
  margin: 0 10px;
}
nav > img {
  position: relative;
  top: 50px;
}
nav li {
  font-weight: bold;
}
ul {
  display: inline-flex;

  padding: 0 10px;
  margin: 0 10px;
}
li {
  list-style: none;
  padding: 0 10px;
  margin: 0 10px;
}
a {
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
a:focus {
  color: red;
}
aside {
  float: left;
  width: 25%;
  padding: 3em;
}
aside h2 {
  font-size: 16px;
}
aside h3 {
  color: rgb(224, 79, 79);
  margin-top: 40px;
}

.page-title {
  text-align: center;
  padding: 1em 0;
  border-bottom: 2px solid rgb(196, 191, 191);
  font-weight: bold;
  margin-left: 20%;
}
.header-intro {
  background: rgb(34, 34, 34);
  color: white;
  font-style: italic;
  margin: 1% 6%;
  padding: 1em;
  font-size: 18px;
}

input[type="email"] {
  border-radius: 10px;
  width: 25em;
  height: auto;
  outline: none;
  padding: 10px;
  background-color: rgb(233, 227, 227);
  color: black;
  font-weight: bold;
  border: none;
  margin-bottom: 10px;
}
input[type="search"] {
  color: brown;
  background-color: rgb(154, 243, 161);
  padding: 10px;
  border-radius: 5px;
  outline: none;
  border: none;
}
input[type="number"] {
  width: 40px;
  padding: 10px 0 10px 10px;
  background-color: rgb(252, 252, 252);
  color: black;
  font-weight: bold;
  margin: 0 20px;
  border: 1px solid blue;
  border-radius: 5px;
  text-align: left;
}
.delete i,
.delete {
  font-weight: bold;
  background-color: transparent;
  color: red;
}
.fa-solid {
  border: 1px thin black;
  background-color: rgb(15, 88, 48);
  padding: 10px;
  border-radius: 5px;
  color: aliceblue;
}
button {
  border-radius: 10px;
  padding: 5px;
  position: relative;
  left: -90px;
  outline: none;
  border: none;
  color: rgb(241, 229, 229);
  background-color: gray;
  font-weight: bold;
}

#cart-page {
  display: none;
  display: block;
}
#cart-page img {
  height: 150px;
  width: 150px;
}
.free-delivery {
  margin: 0 20%;
  background-color: orange;
  padding: 10px;
  letter-spacing: 5px;
}

.your-cart {
  text-align: center;
}
.item {
  background-color: white;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 1fr;
  place-items:center;
  margin: 2em 5em;
  padding: 10px;
  text-align: left;
}
.item-account {
  line-height: 1.5;
}
.summary {
  padding: 1em 28em;
  background-color: white;
  margin: 2em 5em;
}
.summary h3 {
  text-align: center;
}
.sum{
  display: grid;
  
}
.sum span{
  float: right;
}

footer {
  background-color: rgb(26, 25, 25);
  color: white;
  display: flex;
  justify-content: space-around;
  align-items: top;
  padding:  5em 0 2em 0;
  height: auto;
}
footer li {
  margin: 10px 0;
}
footer ul {
  display: block;
}
footer a {
  color: aliceblue;
}
.footer-info {
  text-align: left;
}
.footer-info h4 {
  margin-left: 1.8em;
  margin-bottom: 25px;
}
footer p {
  text-align: left;
  line-height: 1.5;
}
.footer-icons i {
  margin: 20px 10px;
}
.newsletter-social h4 {
  margin-bottom: 20px;
}
.newsletter-social p {
  margin: 20px 0;
}
.newsletter-social {
  display: block;
}
.p-i-p {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 1fr;
}


.mobile-nav{
  display: none;
}


@media (max-width: 479px) {
  .mobile-nav {
    display: block;
    /* display: none;  */
    font-size: 25px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 4;
   
  }
  .mobile-nav img{
    width: 1.5em;
  }
  nav {
    display: block;
  }
  nav > img {
    position: relative;
    top: 0px;
    width: 100%;
  }
  nav ul {
    display: none;
  }
    nav li{
    margin: 40px;
  }
  .nav-icons{
    position: fixed;
    right: 5px;;
    top: 56vh;
    z-index: 3;
    display: block;
    height: 100px;
    margin: 0 ;
    padding: 0 ;
  }
  .nav-icons > li{
    margin: 10px 0;
    padding: 0%;
  }
 
  .header-intro {
    margin: 0.4em 0.1em;
  }
  .free-delivery {
    margin: 0 5%;
  }
  .item {
    display: block;

    margin: 1em;
    padding: 10px;
    text-align: left;
  }
  .summary {
    padding: 2em;

    margin: 1em;
  }
  .summary h3 {
    text-align: center;
  }

  button {
    border-radius: 10px;
    padding: 5px;
    position: relative;
    left: 70%;
    top: -40px;
    /* float: right; */
    outline: none;
    border: none;
    color: rgb(241, 229, 229);
    background-color: gray;
    font-weight: bold;
  }
  ul{
    margin: 0;
    margin-left: -2%;
    padding: 0 ;
  }
  nav ul {
    display: none;
    /* display: block; */
    position: absolute;
    right: 0;
    background-color:rgb(170, 166, 166);
    background-image: url(./bg-pattern-intro-right-mobile.svg);
    background-repeat: no-repeat;
    background-position: top right;
    height: auto;
    width: 100%;
    text-align: center;
    text-transform: uppercase;
    /* width: 40%; */
 
  }

  
  footer {
    display: block;
    align-items: top;
    padding: 2em;
    height: auto;
  }
  footer li {
    margin: 10px 0;
  }
  footer ul {
    display: block;
  }

  .footer-info {
    text-align: left;
  }
  .footer-info h4 {
    margin: 2em 0 1em 0;
  }
  footer p {
    text-align: left;
    line-height: 1.5;
  }

  .newsletter-social {
    display: block;
  }

  .p-i-p {
    display: block;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 1fr;
  }
}
